%if 0%{?fedora}
%global with_python3 1
%endif

%global srcname epub
%global commit d6db4535273d3ad2193dcb6fe090f90a1d3a3b78
%global shortcommit %(c=%{commit}; echo ${c:0:12})
%global hgtag 0.5.2

Name:           python-%{srcname}
Version:        %{hgtag}
Release:        5%{?dist}
Summary:        Python library for reading EPUB files

License:        LGPLv3+
URL:            http://epub.exirel.me
Source0:        https://bitbucket.org/exirel/%{srcname}/get/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
# This patch adds a test suite to the setup() call
Patch0:         %{name}-test-suite.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
Epub is a Python library for reading e-book files in the EPUB (version 2)
format.

%package -n python2-%{srcname}
Summary:        Python library for reading EPUB files
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Epub is a Python library for reading e-book files in the EPUB (version 2)
format.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        Python library for reading EPUB files
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Epub is a Python library for reading e-book files in the EPUB (version 2)
format.
%endif

%package doc
Summary:        Documentation for %{name}

%description doc
This package contains the documentation for %{name}.

%prep
%autosetup -n exirel-%{srcname}-%{shortcommit}
touch test/__init__.py

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%make_build -C docs html
rm -f docs/_build/html/.buildinfo

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.txt
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.txt
%{python3_sitelib}/*
%endif

%files doc
%doc docs/_build/html

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Feb 27 2016 Filip Szymański <fszymanski@fedoraproject.org> - 0.5.2-4
- Add EPEL7 compatibility
- Rename globals

* Tue Feb 23 2016 Filip Szymański <fszymanski@fedoraproject.org> - 0.5.2-3
- Change source code URL
- Add setup.py patch
- Add %%check section
- Move HTML documentation to -doc subpackage

* Mon Feb 22 2016 Filip Szymański <fszymanski@fedoraproject.org> - 0.5.2-2
- Create python2- subpackage
- Add HTML documentation

* Sat Jan 16 2016 Filip Szymański <fszymanski@fedoraproject.org> - 0.5.2-1
- Initial RPM release
